// -------------- 获取所有api数据
function main() {
	// 验证用户权限
	'use api/user/acl/excerpt.js'

	const res = SQL.query('system_sql', 'SELECT * FROM sys_apis WHERE delete_time IS NULL');
	if (res) {
		// 格式化数据
		const newResult = res.map((itemO) => {
			const newObj = {};
			Object.keys(itemO).forEach((item) => {
				newObj[underscoreToCamel(item)] = itemO[item];
			});
			return newObj;
		});
		if (newResult) {
			return okMsg(newResult);
		}
	}
	return errMsg(404, '查询失败');
}
